<?php

declare(strict_types=1);

namespace PHPNative\Core;

abstract class TypedCollection extends Collection
{
    public function __construct(array $elements = [])
    {
        parent::__construct($elements);
    }

    abstract protected function type(): string;

    public function add(mixed $element): void
    {
        parent::add($element);
    }
}
